package com.bocloud.cmp.provider.compute;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

/**
 * 主机池操作接口
 *
 * @author wangyu
 * @version 4.1.0-SNAPSHOT
 * @since 2018/11/19
 */
public interface HostPoolProvider extends SuperProvider {
    /**
     * 查询所有主机池
     *
     * @return
     */
    public BocloudResult list();

    /**
     * 创建主机池
     *
     * @param name
     * @return
     */
    public BocloudResult create(String name);

    /**
     * 查询查询CAS系统中主机池下的主机及集群列表
     *
     * @param hpId
     * @return
     */
    public BocloudResult listHostAndCluster(Long hpId);

    /**
     * 查询资源使用量
     *
     * @param vdcVal
     * @return
     */
    public BocloudResult summary(String vdcVal);

    /**
     * 删除主机池
     *
     * @param vdcVal
     * @return
     */
    public BocloudResult remove(String vdcVal);

    /**
     * 查询主机池详情
     *
     * @param name
     * @return
     */
    public BocloudResult detail(String name);
}
